<?php
/**
 * Blank content partial template.
 *
 * @package understrap
 */

function sessionTile($session, $_prevEndTime) {
  // echo "<!--";
  // print_r("PRINT THIS");
  // print_r($session);
  // print_r($_prevEndTime);
  // echo "-->";
  $halfhourMultiplier = 6;
  $lineclass = '';
  $timevar = ($session->end_time - $session->time);
  switch ($timevar) {
    case ( $timevar <= 10):
      $lineclass = 'ellipses-lines-1';
      break;
    case ($timevar <= 15):
      $lineclass = 'ellipses-lines-2';
      break;
    case ($timevar <= 20):
      $lineclass = 'ellipses-lines-3';
      break;
    case ($timevar <= 25):
      $lineclass = 'ellipses-lines-4';
      break;
    default:
      $lineclass = '';
      break;
  }
  ?>
  <div
    class="synopsis-event-card presentation-tile"
    style="
      border-left: 10px solid #ffffff;
      height: <?php echo $halfhourMultiplier * ($session->end_time - $session->time); ?>px;
      margin-top: <?php echo (($session->time - $_prevEndTime) * $halfhourMultiplier); ?>px;
      margin-bottom: 0px;
    ">
    <h5 title="<?php echo $session->name; ?>" class="<?php echo $lineclass; ?>"><?php echo $session->name; ?></h5>
  </div>
  <?php
}
?>
</div>
<div class="container-fluid">
<?php

$biggestDay = 0;
foreach($datesData as $dateData) {
  if(count($dateData->rooms) > $biggestDay) {
    $biggestDay = count($dateData->rooms);
  }
}

$session_names = [];
foreach($datesData as $dateData) {
  foreach($dateData->sessions as $sessionData) {
    $session_names[$sessionData->session] = $sessionData->session_info ? $sessionData->session_info->name : 'No Session Name';
  }
}

$i = 1;
foreach($datesData as $dateData) {
  $new_date = utf8_encode(strftime("%A %e %B %Y", strtotime($dateData->date)));
  $start_time = 24 * 60;
  $end_time = 0;

  foreach($dateData->rooms as $roomData) {
    foreach($roomData->presentations as $presentation) {
      $start_time = $start_time > $presentation->time ? $presentation->time : $start_time;
      $end_time = $end_time < $presentation->end_time ? $presentation->end_time : $end_time;
    }
  }
  ?>
  <div
    class="row date-section block-day block-day-<?php echo date("Y-m-d", strtotime($dateData->date)); ?>"
    style="margin-bottom: 30px; padding-bottom: 10px; width: <?php echo 330 * (count($dateData->rooms) + 1);?>px; ?>"
    >
    <div class="col-md-2 col-4 timeline-container">
      <div class="stick-header schedule-date text-center">
        <h5><?php the_field('event_' . WPGlobus::Config()->language . '_day', 'option'); ?> <?php echo $i++; ?></h5>
        <span><?php echo $new_date; ?></span>
      </div>
      <div class="synopsis-timeline">
        <?php
          for($time = $start_time; $time <= $end_time; $time+= 30) {
            ?>
            <div class="syn-time">
              <span><?php echo intdiv($time, 60); ?>:<?php echo sprintf('%02d', $time % 60); ?></span>
            </div>
            <?php            
          }
        ?>
      </div>
    </div>

    <div class="col-md-10 col-8 event-tile-container">
      <div class="stick-header" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
        <div class="row m-b-30" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
          <?php
            foreach($dateData->rooms as $roomData) {
              ?>
              <div class="room-block">
                <div class="room-name-synopsis">
                  <h3><?php echo $roomData->room_info->name; ?></h3>
                </div>
              </div>
              <?php
            }
          ?>
        </div>
      </div>
      <div class="row match-timeline" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
        <?php
          foreach($dateData->rooms as $roomData) {
            ?>
            <div class="room-block" style="margin-top: 30px;">
              <?php
                $prevEndTime = $start_time;
                $previousSession = false;
                foreach($roomData->presentations as $presentation) {

                  $session = new stdClass();
                  $session->id = $presentation->session_id;
                  $session->name = $session_names[$presentation->session_id] ? $session_names[$presentation->session_id] : 'No Session Name';
                  $session->time = $presentation->time;
                  $session->end_time = $presentation->end_time ? $presentation->end_time : ($presentation->time + 30);

                  if(!$previousSession) {
                    $previousSession = $session;
                  } else {
                    if($previousSession->id == $session->id) {
                      $previousSession->end_time = $session->end_time;
                      // echo "<!-- Same session ID: " . $session->id . "-->";
                      // echo "<!--";
                      // print_r($previousSession);
                      // echo "-->";
                    } else {
                      // echo "<!-- Different session ID: " . $previousSession->id . " to " . $session->id . "-->";
                      // echo "<!--";
                      // print_r($previousSession);
                      // print_r($session);
                      // echo "<!-- OLD END TIME: " . $prevEndTime . "-->";
                      sessionTile($previousSession, $prevEndTime);
                      $prevEndTime = $previousSession->end_time;
                      $previousSession = $session;
                      // echo "<!-- NEW END TIME: " . $prevEndTime . "-->";
                    }
                  }
                }
                sessionTile($previousSession, $prevEndTime);
              ?>
            </div>
            <?php
          }
        ?>
      </div>
    </div>
  </div>
  <?php
}
?>
</div>
<div class="container">