<?php
/**
 * Blank content partial template.
 *
 * @package understrap
 */

function presentationInfo($presentation) {
  ?>
  <div
    data-time="<?php echo $presentation->time; ?>"
    class="presentation-tile
      filter-<?php echo $presentation->speaker_info->_id; ?>
      filter-<?php echo $presentation->room_info->_id; ?>
      filter-<?php echo $presentation->color_info->_id; ?>
      filter-<?php echo $presentation->type_info->_id; ?>
      filter-<?php echo $presentation->association_info->_id; ?>
      filter-status-<?php echo $presentation->status; ?>
      filter-<?php echo substr($presentation->date, 0, 10); ?>"
      data-day="<?php echo substr($presentation->date, 0, 10); ?>"
      style="border-left: 10px solid <?php if ($presentation->color_info->color) {
    echo $presentation->color_info->color; } else echo '#fff'; ?>; padding: 20px 10px;">
    <div class="row">
      <div class="col">
        <b><?php echo $presentation->name; ?></b>
        <hr/>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6">
        <span class="speaker-desc">
        <!-- <span class="heading">Speaker</span><br /> -->
        <?php if($presentation->speaker_info->picture) { ?>
          <img
            src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/90x90/filters:fill(ffffff)/', $presentation->speaker_info->picture); ?>"
            title="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>"
            alt="<?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?>" />
            <br />
        <?php } ?>
          <span><?php echo $presentation->speaker_info->title . " " . $presentation->speaker_info->firstName . " " . $presentation->speaker_info->lastName; ?></span>
        </span>
      </div>
      <div class="col-md-6">
        <span class="speaker-desc">
          <?php if($presentation->association_id && $presentation->association_id !== "NA") { ?>
            <?php if($presentation->association_id && $presentation->association_id !== "NA") { // No association ?>
              <img
                src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/90x90/filters:fill(ffffff)/', $presentation->association_info->logo); ?>"
                alt="<?php echo $presentation->association_info->name; ?>" />
              <br />
            <?php } ?>
            <span class="heading"><?php the_field('event_' . WPGlobus::Config()->language . '_association', 'option'); ?></span><br />
            <span class="schedule_value"><?php echo $presentation->association_info->name; ?></span><br />
          <?php } ?>
        </span>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12">
        <p><?php the_field('event_' . WPGlobus::Config()->language . '_time', 'option'); ?>: <span><?php echo printHumanTime($presentation->time); ?> <?php echo $presentation->end_time ? " - " . printHumanTime($presentation->end_time) : ""; ?></span></p>
        <p><?php the_field('event_' . WPGlobus::Config()->language . '_room', 'option'); ?>: <span><?php echo $presentation->room_info->name; ?></span></p>
        <p>
          <?php if($presentation->type_id && $presentation->type_id !== "NA") { ?>
            <img
              src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/60x60/filters:fill(ffffff)/', $presentation->type_info->icon); ?>"
              alt="<?php echo $presentation->type_info->name; ?>"
              class="schedule_type" />
              <?php the_field('event_' . WPGlobus::Config()->language . '_type', 'option'); ?>: <span class="schedule_value"><?php echo $presentation->type_info->name; ?></span>
          <?php } ?>
        </p>
        <p><?php if($presentation->color_id && $presentation->color_id !== "NA") { ?>
          <?php the_field('event_' . WPGlobus::Config()->language . '_theme', 'option'); ?>: <span><?php echo $presentation->color_info->name; ?></span>
          <?php } ?></p>
      </div>
    </div>
    <?php if($presentation->video->seconds > 0) { ?>
      <div class="row">
        <div class="col-md-12">
          <a class="schedule_link" href="?event=<?php echo $event->event->slug ? $event->event->slug : $event->event->_id; ?>&presentation_id=<?php echo $presentation->_id; ?>">
            <?php the_field('event_' . WPGlobus::Config()->language . '_watch_video', 'option'); ?>
          </a>
        </div>
      </div>
    <?php } ?>
  </div>
  <?php
}

function presentationTile($ppt, $prevEndTime) {
  $halfhourMultiplier = 6;
  $lineclass = '';
  $timevar = ($ppt->end_time - $ppt->time);
  switch ($timevar) {
    case ( $timevar <= 10):
      $lineclass = 'ellipses-lines-1';
      break;
    case ($timevar <= 15):
      $lineclass = 'ellipses-lines-2';
      break;
    case ($timevar <= 20):
      $lineclass = 'ellipses-lines-3';
      break;
    case ($timevar <= 25):
      $lineclass = 'ellipses-lines-4';
      break;
    default:
      $lineclass = '';
      break;
  }
  ?>
  <div
    class="synopsis-event-card
      presentation-tile
      filter-<?php echo $ppt->speaker_info->_id; ?>
      filter-<?php echo $ppt->room_info->_id; ?>
      filter-<?php echo $ppt->color_info->_id; ?>
      filter-<?php echo $ppt->type_info->_id; ?>
      filter-<?php echo $ppt->association_info->_id; ?>
      filter-status-<?php echo $ppt->status; ?>
      filter-<?php echo substr($ppt->date, 0, 10); ?>"
    style="
      border-left: 10px solid <?php echo $ppt->color_info->color ? $ppt->color_info->color : '#ffffff'; ?>;
      height: <?php echo $halfhourMultiplier * ($ppt->end_time - $ppt->time); ?>px;
      margin-top: <?php echo (($ppt->time - $prevEndTime) * $halfhourMultiplier); ?>px;
      margin-bottom: 0px;
    ">
    <a
      tabindex="0"
      data-trigger="hover"
      data-container="body"
      data-toggle="popover"
      data-placement="bottom"
      data-html="true"
      data-content='<?php
        ob_start();
        presentationInfo($ppt);
        $output = ob_get_clean();
        echo str_replace("'", '"', $output);
      ?>'>
      <h5 title="<?php echo $ppt->name; ?>" class="<?php echo $lineclass; ?>"><?php echo $ppt->name; ?></h5>
      <!-- <span class="title">Speaker</span> -->
      <?php if($ppt->end_time - $ppt->time > 9) { ?>
        <p>
          <?php echo $ppt->speaker_info->title . ' ' . $ppt->speaker_info->firstName . ' ' . $ppt->speaker_info->lastName; ?>
          <i></i>
        </p>
      <?php } ?>
    </a>
    <div class="row m-t-16">
      <!-- <div class="col-6">
        <img
          src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/30x30/filters:fill(ffffff)/', $ppt->association_info->logo); ?>"
          alt="<?php echo $ppt->association_info->name; ?>"
          />
      </div> -->
      <div class="col-12">
        <?php if($pres['has_video']) { ?>
          <a class="syn-watch-video" href="<?php echo $pres['link']; ?>"><?php the_field('event_' . WPGlobus::Config()->language . '_watch_video', 'option'); ?>
        <?php } ?>
      </div>
    </div>
  </div>
  <?php
}

function presentationSimpleTile($ppt) {
  $halfhourMultiplier = 6;
  ?>
  <div
    class="synopsis-event-card
      presentation-tile
      filter-<?php echo $ppt->speaker_info->_id; ?>
      filter-<?php echo $ppt->room_info->_id; ?>
      filter-<?php echo $ppt->color_info->_id; ?>
      filter-<?php echo $ppt->type_info->_id; ?>
      filter-<?php echo $ppt->association_info->_id; ?>
      filter-status-<?php echo $ppt->status; ?>
      filter-<?php echo substr($ppt->date, 0, 10); ?>"
    style="
      border-left: 10px solid <?php echo $ppt->color_info->color ? $ppt->color_info->color : '#ffffff'; ?>;
      height: <?php echo $halfhourMultiplier * 30; ?>px;
    ">
    <h5 data-toggle="tooltip" data-placement="top" title="<?php echo $ppt->name; ?>" class="single-line">
      <?php echo $ppt->name; ?>
    </h5>
    <span class="title">Speaker</span>
    <p>
      <?php echo $ppt->speaker_info->title . ' ' . $ppt->speaker_info->firstName . ' ' . $ppt->speaker_info->lastName; ?>
      <i></i>
    </p>
    <p>
      <?php echo intdiv($ppt->time, 60) . ':' . sprintf('%02d', $ppt->time % 60) . ' to ' . intdiv($ppt->end_time, 60) . ':' . sprintf('%02d', $ppt->end_time % 60); ?>
    </p>
    <div class="row m-t-16">
      <div class="col-6">
        <img
          src="<?php echo str_replace('http://eslides-staging-media.s3-website-eu-west-1.amazonaws.com/', 'https://d14dvar9q0pvq6.cloudfront.net/fit-in/30x30/filters:fill(ffffff)/', $ppt->association_info->logo); ?>"
          alt="<?php echo $ppt->association_info->name; ?>"
          />
      </div>
      <div class="col-6">
        <?php if($pres['has_video']) { ?>
          <a class="syn-watch-video" href="<?php echo $pres['link']; ?>"><?php the_field('event_' . WPGlobus::Config()->language . '_watch_video', 'option'); ?>
        <?php } ?>
      </div>
    </div>
  </div>
  <?php
}

function presentationGroupTile($ppts, $prevEndTime) {
  $halfhourMultiplier = 6;
  if(count($ppts) === 1) {
    $ppts[0]->end_time = $ppts[0]->time + 30;
    presentationTile($ppts[0], $prevEndTime);
  } else {
    ?>
    <div class="synopsis-event-card
      presentation-tile
      <?php foreach($ppts as $ppt) { ?>
        filter-<?php echo $ppt->speaker_info->_id; ?>
        filter-<?php echo $ppt->room_info->_id; ?>
        filter-<?php echo $ppt->color_info->_id; ?>
        filter-<?php echo $ppt->type_info->_id; ?>
        filter-<?php echo $ppt->association_info->_id; ?>
        filter-status-<?php echo $ppt->status; ?>
        filter-<?php echo substr($ppt->date, 0, 10); ?>
      <?php } ?>
      " style="
      border-left: 10px solid white;
      height: <?php echo $halfhourMultiplier * ($ppts[count($ppts) - 1]->end_time - $ppts[0]->time); ?>px;
      margin-top: <?php echo (($ppts[0]->time - $prevEndTime) * $halfhourMultiplier); ?>px;
      ">
      <div>
        <a
          tabindex="0"
          data-trigger="focus"
          class="events-toggle"
          data-container="body"
          data-toggle="popover"
          data-placement="left"
          data-html="true"
          data-content='<?php
            foreach($ppts as $ppt) {
              ob_start();
              presentationSimpleTile($ppt);
              $output = ob_get_clean();
              echo str_replace("'", '"', $output);
            }
          ?>'>
          <h5><?php echo count($ppts); ?> Events</h5>
        </a>
      </div>
    </div>
    <?php
  }
}
?>
</div>
<div class="container-fluid">
<?php

$biggestDay = 0;
foreach($datesData as $dateData) {
  if(count($dateData->rooms) > $biggestDay) {
    $biggestDay = count($dateData->rooms);
  }
}

$i = 1;
foreach($datesData as $dateData) {
  $new_date = utf8_encode(strftime("%A %e %B %Y", strtotime($dateData->date)));
  $start_time = 24 * 60;
  $end_time = 0;

  foreach($dateData->rooms as $roomData) {
    foreach($roomData->presentations as $presentation) {
      $start_time = $start_time > $presentation->time ? $presentation->time : $start_time;
      $end_time = $end_time < $presentation->end_time ? $presentation->end_time : $end_time;
    }
  }
  ?>
  <div
    class="row date-section block-day block-day-<?php echo date("Y-m-d", strtotime($dateData->date)); ?>"
    style="margin-bottom: 30px; padding-bottom: 10px; width: <?php echo 330 * (count($dateData->rooms) + 1);?>px; ?>"
    >
    <div class="col-md-2 col-4 timeline-container">
      <div class="stick-header schedule-date text-center">
        <h5><?php the_field('event_' . WPGlobus::Config()->language . '_day', 'option'); ?> <?php echo $i++; ?></h5>
        <span><?php echo $new_date; ?></span>
      </div>
      <div class="synopsis-timeline">
        <?php
          for($time = $start_time; $time <= $end_time; $time+= 30) {
            ?>
            <div class="syn-time">
              <span><?php echo intdiv($time, 60); ?>:<?php echo sprintf('%02d', $time % 60); ?></span>
            </div>
            <?php            
          }
        ?>
      </div>
    </div>

    <div class="col-md-10 col-8 event-tile-container">
      <div class="stick-header" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
        <div class="row m-b-30" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
          <?php
            foreach($dateData->rooms as $roomData) {
              ?>
              <div class="room-block">
                <div class="room-name-synopsis">
                  <h3><?php echo $roomData->room_info->name; ?></h3>
                </div>
              </div>
              <?php
            }
          ?>
        </div>
      </div>
      <div class="row match-timeline" style="width: <?php echo 330 * count($dateData->rooms);?>px;">
        <?php
          foreach($dateData->rooms as $roomData) {
            ?>
            <div class="room-block" style="margin-top: 30px;">
              <?php
                $prevEndTime = $start_time;
                $groupPresentations = [];
                $groupPresentationsMinutes = 0;
                $presentationIndex = 0;
                foreach($roomData->presentations as $presentation) {
                  // if(($presentation->end_time - $presentation->time) < 30) {
                  //   // less than 30 mins
                  //   array_push($groupPresentations, $presentation);
                  //   $groupPresentationsMinutes += $presentation->end_time - $presentation->time;

                  //   if($presentationIndex + 1 === count($roomData->presentations)) {
                  //     // if there is no event after current block, print block.
                  //     $time = $groupPresentationsMinutes > 30 ? $groupPresentationsMinutes : 30;
                  //     presentationGroupTile($groupPresentations, $prevEndTime);
                  //   } else if($roomData->presentations[$presentationIndex + 1]->time >= ($groupPresentations[0]->time + 30)) {
                  //     // if next event start 30 mins after the start of the current group, print the group.
                  //     presentationGroupTile($groupPresentations, $prevEndTime);
                  //     $timeDiff = $presentation->end_time - $groupPresentations[0]->time;

                  //     $prevEndTime = $groupPresentations[0]->time + $groupPresentationsMinutes;
                  //     $groupPresentations = [];
                  //     $groupPresentationsMinutes = 0;
                  //   }
                  // } else {
                    presentationTile($presentation, $prevEndTime);
                    $prevEndTime = $presentation->end_time;
                  // }
                  ++$presentationIndex;
                }
              ?>
            </div>
            <?php
          }
        ?>
      </div>
    </div>
  </div>
  <?php
}
?>
</div>
<div class="container">