<?php
/**
 * Template Name: Features page
 *
 * @package understrap
 */

get_header();

$container   = get_theme_mod( 'understrap_container_type' );
$sidebar_pos = get_theme_mod( 'understrap_sidebar_position' );
?>
<div class="wrapper" id="page-wrapper">

	<div class="<?php echo esc_html( $container ); ?>" id="content" tabindex="-1">

		<div class="row">

			<!-- Do the left sidebar check -->
			<?php get_template_part( 'global-templates/left-sidebar-check', 'none' ); ?>

			<main class="site-main" id="main">

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'loop-templates/content', 'page' ); ?>

<?php
$features = get_posts(array(
	'posts_per_page'   => 10,
	'offset'           => 0,
	'post_type'        => 'feature',
	'post_status'      => 'publish',
	'suppress_filters' => true
));
    foreach ( $features as $post ) {
      setup_postdata( $post );
      // Your loop code
      ?>
			<div class="row">
				<div class="col-md-8 offset-md-2 text-center feature-tile bg-f7">
		      <h3><?php the_title(); ?></h3>
		      <p><?php the_content(); ?></p>
				</div>
			</div>
      <?php
    }
?>

				<?php endwhile; // end of the loop. ?>

			</main><!-- #main -->

		</div><!-- #primary -->

		<!-- Do the right sidebar check -->
		<?php if ( 'right' === $sidebar_pos || 'both' === $sidebar_pos ) : ?>

			<?php get_sidebar( 'right' ); ?>

		<?php endif; ?>

	</div><!-- .row -->

</div><!-- Container end -->

</div><!-- Wrapper end -->

<?php get_template_part( 'loop-templates/content', 'pricing' ); ?>

<?php get_footer(); ?>
